<txnplusreq txn="{{ transaction_type }}"
    amount="{{ amount }}"
    tip="{{ tip }}"
    {%- if track1 %}
    track1="{{ track1 }}"
    {%- else %}
    track1=""
    {%- endif %}
    {%- if track2 %}
    track2="{{ track2 }}"
    cardentry="swiped"
    {%- else %}
    track2=""
    cardentry="keyed"
    {%- endif %}
    expires="{{ expires }}"
    {%- if account.startswith('AU:') %}
    hosttoken="{{ account }}"
    {%- else %}
    account="{{ account }}"
    {%- endif %}
    {%- if card_cvc2 %}
    cvv="{{ card_cvc2 }}"
    {%- endif %}
    {%- if zip_code %}
    avszip="{{ zip_code }}"
    {%- endif %}
    tender="{{tender_value}}"
    {%- if partial_approval %}
    nonsf="1"
    {%- else %}
    nonsf="0"
    {%- endif %}
    invoice="{{ ticket_number }}"
    busdate="{{ date }}"
    terminal="{{ terminal_id }}"
    operator="{{ employee_id }}"
    version="internet"
    {%- if approval %}
    approval="{{ approval }}"
    {%- endif %}
    posref="{{ reference_number }}"
 />
